#!/bin/sh

TARGET=`ls -al /scratchbox/users/$USER/targets/links/scratchbox.config | cut -d "/" -f 9 | sed 's/.config$//'`

# Check if I am not inside sb 
if [ ! -f "/run.sh" ] ; then
	ADD="-c /scratchbox/users/$USER/home/$USER/.sbrsh"
else
	ADD=""
fi

# check that we have shell
if [ ! -x "/scratchbox/users/$USER/targets/$TARGET/bin/sh" ] ; then
	echo "You don't have shell compiled for your target!"
	exit 1
fi

/scratchbox/tools/bin/sbrsh $ADD $TARGET

